## massdns 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(massdns)

set(CMAKE_C_STANDARD 11)

set(SOURCE_FILES src/main.c src/list.h src/hashmap.h src/massdns.h src/security.h src/net.h src/string.h src/buffers.h src/dns.h
        src/timed_ring.h src/random.h src/cmd.h src/flow.h)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
add_executable(massdns ${SOURCE_FILES})

=== Makefile ===
PREFIX=/usr/local

all:
	mkdir -p bin
	$(CC) $(CFLAGS) -O3 -std=c11 -DHAVE_EPOLL -DHAVE_SYSINFO -Wall -fstack-protector-strong src/main.c -o bin/massdns
debug:
	mkdir -p bin
	$(CC) $(CFLAGS) -O0 -std=c11 -DHAVE_EPOLL -DHAVE_SYSINFO -Wall -g -DDEBUG src/main.c -o bin/massdns
nolinux:
	mkdir -p bin
	$(CC) $(CFLAGS) -O3 -std=c11 -Wall -fstack-protector-strong src/main.c -o bin/massdns
debugnolinux:
	mkdir -p bin
	$(CC) $(CFLAGS) -O0 -std=c11 -Wall -fstack-protector-strong -g -DDEBUG src/main.c -o bin/massdns
install:
	test -d $(PREFIX) || mkdir $(PREFIX)
	test -d $(PREFIX)/bin || mkdir $(PREFIX)/bin
	install -m 0755 bin/massdns $(PREFIX)/bin

=== debian/changelog ===
massdns (1.0.0-0kali1) kali-dev; urgency=medium

  * New upstream release.

 -- Steev Klimaszewski <steev@kali.org>  Mon, 24 Oct 2022 16:21:51 -0500

massdns (0.3-0kali2) kali-dev; urgency=medium

  * Add allow-stderr in autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 11 Dec 2020 11:43:54 +0100

massdns (0.3-0kali1) kali-dev; urgency=medium

  * Initial release (see 6502)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Dec 2020 16:51:47 +0100

=== debian/control ===
Source: massdns
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1.0
Homepage: https://github.com/blechschmidt/massdns
Vcs-Browser: https://gitlab.com/kalilinux/packages/massdns
Vcs-Git: https://gitlab.com/kalilinux/packages/massdns.git
Rules-Requires-Root: no

Package: massdns
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high-performance DNS stub resolver
 This package contains a simple high-performance DNS stub resolver targeting
 those who seek to resolve a massive amount of domain names in the order of
 millions or even billions. Without special configuration, MassDNS is capable
 of resolving over 350,000 names per second using publicly available resolvers.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PREFIX=debian/massdns/usr/

%:
	dh $@

=== debian/tests/control ===
Test-Command: massdns -h
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%massdns-$1.tar.gz%" \
   https://github.com/blechschmidt/massdns/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## massdns 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(massdns)

set(CMAKE_C_STANDARD 11)

add_definitions(-DHAVE_EPOLL -DHAVE_SYSINFO)

set(SOURCE_FILES src/main.c src/list.h src/hashmap.h src/massdns.h src/security.h src/net.h src/string.h src/buffers.h src/dns.h
        src/timed_ring.h src/random.h src/cmd.h src/flow.h src/auto_concurrency.h src/tcp.h)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
add_executable(massdns ${SOURCE_FILES})

=== Makefile ===
PREFIX ?= /usr/local
PROJECT_FLAGS=-DMASSDNS_REVISION=\"$(shell git describe --tags --dirty=+)\"

all:
	mkdir -p bin
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(PROJECT_FLAGS) -O3 -std=c11 -DHAVE_EPOLL -DHAVE_SYSINFO -Wall -fstack-protector-strong src/main.c -o bin/massdns
debug:
	mkdir -p bin
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(PROJECT_FLAGS) -O0 -std=c11 -DHAVE_EPOLL -DHAVE_SYSINFO -Wall -g -DDEBUG src/main.c -o bin/massdns
nolinux:
	mkdir -p bin
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(PROJECT_FLAGS) -O3 -std=c11 -Wall -fstack-protector-strong src/main.c -o bin/massdns
debugnolinux:
	mkdir -p bin
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(PROJECT_FLAGS) -O0 -std=c11 -Wall -fstack-protector-strong -g -DDEBUG src/main.c -o bin/massdns
install:
	mkdir -p $(PREFIX)/bin
	mkdir -p $(PREFIX)/man/man1
	install -m 0755 bin/massdns $(PREFIX)/bin
	install -m 0644 doc/massdns.1 $(PREFIX)/man/man1

=== debian/changelog ===
massdns (1.1.0-0kali2) kali-dev; urgency=medium

  * Compile only for 64 bit

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 10 Feb 2026 12:43:16 +0100

massdns (1.1.0-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * New upstream version 1.0.0

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Daniel Ruiz de Alegría ]
  * New upstream version 1.1.0
  * Refresh patches
  * Update debian/watch to version 5
  * Bump Standards-Version
  * Install manpages to /usr/share/man directory

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 10 Feb 2026 12:16:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/blechschmidt/massdns
 Vcs-Browser: https://gitlab.com/kalilinux/packages/massdns
 Vcs-Git: https://gitlab.com/kalilinux/packages/massdns.git
-Rules-Requires-Root: no
 
 Package: massdns
-Architecture: any
+Architecture: amd64 arm64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: high-performance DNS stub resolver
  This package contains a simple high-performance DNS stub resolver targeting

=== debian/watch ===
Version: 5

Template: Github
Owner: blechschmidt
Project: massdns
